libgphoto2 photo camera library (libgphoto2) API 2.4.11

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- File List
- Globals

Data Structures | Functions
exif.c File Reference

EXIF file library for GPHOTO package. More...

`#include "exif.h"`

## Data Structures

struct | tagarray

## Functions

unsigned char * | gpi_exif_get_thumbnail_and_size (exifparser *exifdat, long *size)
int | gpi_exif_stat (exifparser *exifdata)

## Detailed Description

EXIF file library for GPHOTO package.

Author:
  Copyright 1999 Matthew G. Martin

Generic gphoto implementation and extension by Edouard Lafargue.

Tag descriptions and an ever-increasing number of structural details Taken from "exifdump.py" by Thierry Bousch <bousch@topo.math.u-psud.fr>

Thanks to Paul Wood <pwood@cs.bris.ac.uk> for sub-ifd parsing.

License
  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA